#!/bin/sh
#
# eclipse-mylyn-ide SRPM produces one binary RPM including
# the org.eclipse.mylyn.ide-feature
# 
# eclipse-mylyn-context needs to be built prior to this.
RELEASE_TAG="R_3_6_4"

# get org.eclipse.mylyn.ide-feature sources
# feature deps 
# - org.eclipse.mylyn.context_feature
# - org.eclipse.mylyn.team_feature
# provided by: eclipse-mylyn-context

rm -rf org.eclipse.mylyn.tar.bz2
rm -rf org.eclipse.mylyn.tasks.tar.bz2
rm -rf org.eclipse.mylyn.commons.tar.bz2

wget -O org.eclipse.mylyn.tar.bz2 http://git.eclipse.org/c/mylyn/org.eclipse.mylyn.git/snapshot/${RELEASE_TAG}.tar.bz2
wget -O org.eclipse.mylyn.context.tar.bz2 http://git.eclipse.org/c/mylyn/org.eclipse.mylyn.context.git/snapshot/${RELEASE_TAG}.tar.bz2
wget -O org.eclipse.mylyn.tasks.tar.bz2 http://git.eclipse.org/c/mylyn/org.eclipse.mylyn.tasks.git/snapshot/${RELEASE_TAG}.tar.bz2

for i in org.eclipse.mylyn.tasks.tar.bz2 \
         org.eclipse.mylyn.context.tar.bz2 \
         org.eclipse.mylyn.tar.bz2; do
  tar -xjf $i
done

# remove sources we don't need
pushd $RELEASE_TAG > /dev/null
ls -1 | grep -vE 'org.eclipse.mylyn.help.ui|org.eclipse.mylyn.tasks.bugs|org.eclipse.mylyn.team.cvs|org.eclipse.mylyn.bugzilla.ide$|org.eclipse.mylyn.ide-feature|org.eclipse.mylyn.ide.ui' | xargs rm -rf
popd > /dev/null

FETCHED_SOURCES_NAME="eclipse-mylyn-ide-${RELEASE_TAG}-fetched-src"
mv $RELEASE_TAG $FETCHED_SOURCES_NAME
rm -rf $FETCHED_SOURCES_NAME.tar.bz2
tar -cjf $FETCHED_SOURCES_NAME.tar.bz2 $FETCHED_SOURCES_NAME

rm -rf $FETCHED_SOURCES_NAME
rm -rf org.eclipse.mylyn.context.tar.bz2
rm -rf org.eclipse.mylyn.tasks.tar.bz2
rm -rf org.eclipse.mylyn.tar.bz2
